Bug 215738 - [NEW PORTS] databases/mysql80-server and databases/mysql80-client
Summary: [NEW PORTS] databases/mysql80-server and databases/mysql80-client
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Nikolai Lifanov
URL: https://reviews.freebsd.org/D9031
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2017-01-03 16:27 UTC by Mahdi Mokhtari
Modified: 2017-01-08 11:14 UTC (History)
2 users (show)

See Also:


Attachments
Patch adds mysql80 ports to the tree (109.16 KB, patch)
2017-01-03 16:27 UTC, Mahdi Mokhtari
no flags Details | Diff
Updated patch against mysql57 ports (67.85 KB, patch)
2017-01-03 19:44 UTC, Mahdi Mokhtari
no flags Details | Diff
New patch based on last commit of MySQL57 (73.55 KB, patch)
2017-01-04 15:38 UTC, Mahdi Mokhtari
no flags Details | Diff
Updated patch reflecting the update of review (Fixing build for new c++11 static_checks) (84.29 KB, patch)
2017-01-05 18:15 UTC, Mahdi Mokhtari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mahdi Mokhtari freebsd_committer freebsd_triage 2017-01-03 16:27:29 UTC
Created attachment 178483 [details]
Patch adds mysql80 ports to the tree

This issue is opened for adding the mysql80-{server|client} ports to tree.
A patch for that porpuse is attached.
It's under review on the mentioned review link.
Comment 1 Nikolai Lifanov freebsd_committer 2017-01-03 17:47:59 UTC
Please re-upload the Differential revision as a result of "svn cp".
Basically, svn cp the mysql57-* ports and then do "arc diff --update D9031 databases". The arcanist tool should pick this up as a copy.
Comment 2 Nikolai Lifanov freebsd_committer 2017-01-03 17:49:12 UTC
Normal "svn diff" output loses the copy component of this.
There are instructions on how to use arcanist here:
https://wiki.freebsd.org/action/show/Phabricator
Comment 3 Mahdi Mokhtari freebsd_committer freebsd_triage 2017-01-03 19:44:17 UTC
Created attachment 178487 [details]
Updated patch against mysql57 ports

This is new-generated as requested it's generated upon mysql57 ports.
Thanks for the hints ;)
Comment 4 Nikolai Lifanov freebsd_committer 2017-01-03 23:34:57 UTC
Thank you!
Comment 5 Mahdi Mokhtari freebsd_committer freebsd_triage 2017-01-04 15:38:21 UTC
Created attachment 178510 [details]
New patch based on last commit of MySQL57
Comment 6 Nikolai Lifanov freebsd_committer 2017-01-04 16:58:40 UTC
Thanks!
Comment 7 Mahdi Mokhtari freebsd_committer freebsd_triage 2017-01-05 18:15:03 UTC
Created attachment 178549 [details]
Updated patch reflecting the update of review (Fixing build for new c++11 static_checks)

New update for patch fixes 'const' caused problems for mysql80 build.
Comment 8 commit-hook freebsd_committer 2017-01-07 20:35:49 UTC
A commit references this bug:

Author: lifanov
Date: Sat Jan  7 20:34:49 UTC 2017
New revision: 430827
URL: https://svnweb.freebsd.org/changeset/ports/430827

Log:
  add databases/mysql80-server and databases/mysql80-client

  This is a development snapshot of upcoming MySQL 8.0.

  PR:		215738
  Submitted by:	Mahdi Mokhtari <mokhi64@gmail.com>
  Reviewed by:	matthew, feld
  Approved by:	matthew (mentor), feld
  Differential Revision:	https://reviews.freebsd.org/D9031

Changes:
  head/Mk/Uses/mysql.mk
  head/Mk/bsd.default-versions.mk
  head/databases/Makefile
  head/databases/mysql80-client/
  head/databases/mysql80-client/Makefile
  head/databases/mysql80-client/files/patch-client_CMakeLists.txt
  head/databases/mysql80-client/files/patch-cmake_build__configurations_compiler__options.cmake
  head/databases/mysql80-client/pkg-message
  head/databases/mysql80-client/pkg-plist
  head/databases/mysql80-server/
  head/databases/mysql80-server/Makefile
  head/databases/mysql80-server/distinfo
  head/databases/mysql80-server/files/patch-client_CMakeLists.txt
  head/databases/mysql80-server/files/patch-sql_histograms_histogram.h
  head/databases/mysql80-server/files/patch-sql_histograms_singleton.cc
  head/databases/mysql80-server/files/patch-sql_histograms_singleton.h
  head/databases/mysql80-server/files/patch-sql_json__dom.h
  head/databases/mysql80-server/files/patch-sql_sql__view.cc
  head/databases/mysql80-server/files/patch-storage_innobase_buf_buf0buf.cc
  head/databases/mysql80-server/files/patch-storage_innobase_dict_dict0stats.cc
  head/databases/mysql80-server/files/patch-storage_innobase_sync_sync0debug.cc
  head/databases/mysql80-server/files/patch-storage_innobase_trx_trx0purge.cc
  head/databases/mysql80-server/files/patch-storage_innobase_trx_trx0trx.cc
  head/databases/mysql80-server/pkg-descr
  head/databases/mysql80-server/pkg-message
  head/databases/mysql80-server/pkg-plist
Comment 9 Nikolai Lifanov freebsd_committer 2017-01-07 20:38:04 UTC
Committed, thanks!

FYI: a couple of patches still didn't apply cleanly.
I looked at original code and just removed them.

Please let me know if I messed up and I'll fix it.
Comment 10 Mahdi Mokhtari freebsd_committer freebsd_triage 2017-01-07 20:59:49 UTC
(In reply to Nikolai Lifanov from comment #9)
> Committed, thanks!
Thanks :)

> FYI: a couple of patches still didn't apply cleanly.
> I looked at original code and just removed them.
I updated my tree and compared the patches, all are exact and same.
Which didn't apply cleanly?
Comment 11 Nikolai Lifanov freebsd_committer 2017-01-08 01:39:09 UTC
Two patches were deleted as part of this update. The patch didn't carry deletions.
Comment 12 Mahdi Mokhtari freebsd_committer freebsd_triage 2017-01-08 08:03:59 UTC
(In reply to Nikolai Lifanov from comment #11)
Aha.
Yeah. 
That's why I used `arc diff` instead of svn. As you and matthew suggested :)
Comment 13 Mahdi Mokhtari freebsd_committer freebsd_triage 2017-01-08 11:14:08 UTC
(In reply to Mahdi Mokhtari from comment #12)
All seems okay now.
Thanks BTW ;)